com.sun.grid.jgdi.configuration

## Interface ResourceQuotaRule

- All Superinterfaces:
    GEObject
  All Known Implementing Classes:
    ResourceQuotaRuleImpl

      public interface ResourceQuotaRule
      extends GEObject

  Java representation of the cull object RQR_Type defined in sge_all_listsL.template

  Warning: The ResourceQuotaRule class will not be compatible with future Sun™ Grid Engine releases.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addLimit(ResourceQuotaRuleLimit alimit)` Add a com.sun.grid.jgdi.configuration.ResourceQuotaRuleLimit attribute.
    `java.lang.String` | `dump()`
    `ResourceQuotaRuleFilter` | `getFilterHosts()` Get the value of the filterHosts attribute.
    `ResourceQuotaRuleFilter` | `getFilterPes()` Get the value of the filterPes attribute.
    `ResourceQuotaRuleFilter` | `getFilterProjects()` Get the value of the filterProjects attribute.
    `ResourceQuotaRuleFilter` | `getFilterQueues()` Get the value of the filterQueues attribute.
    `ResourceQuotaRuleFilter` | `getFilterUsers()` Get the value of the filterUsers attribute.
    `int` | `getLevel()` Get the value of the level attribute.
    `ResourceQuotaRuleLimit` | `getLimit(int index)` Get a com.sun.grid.jgdi.configuration.ResourceQuotaRuleLimit attribute at an index.
    `int` | `getLimitCount()` Get the number of com.sun.grid.jgdi.configuration.ResourceQuotaRuleLimit attributes.
    `java.util.List<ResourceQuotaRuleLimit>` | `getLimitList()` Get a unmodifiable list of all com.sun.grid.jgdi.configuration.ResourceQuotaRuleLimit attributes.
    `java.lang.String` | `getName()` Get the value of the name attribute.
    `boolean` | `isSetFilterHosts()` Determine if any filterHosts attribute is set
    `boolean` | `isSetFilterPes()` Determine if any filterPes attribute is set
    `boolean` | `isSetFilterProjects()` Determine if any filterProjects attribute is set
    `boolean` | `isSetFilterQueues()` Determine if any filterQueues attribute is set
    `boolean` | `isSetFilterUsers()` Determine if any filterUsers attribute is set
    `boolean` | `isSetLevel()` Determine if any level attribute is set
    `boolean` | `isSetLimit()` Determine if any limit attribute is set
    `boolean` | `isSetName()` Determine if any name attribute is set
    `void` | `removeAllLimit()` Remove all com.sun.grid.jgdi.configuration.ResourceQuotaRuleLimit attributes.
    `ResourceQuotaRuleLimit` | `removeLimit(int index)` Remote a com.sun.grid.jgdi.configuration.ResourceQuotaRuleLimit attribute at an index.
    `boolean` | `removeLimit(ResourceQuotaRuleLimit alimit)` Remote a specific com.sun.grid.jgdi.configuration.ResourceQuotaRuleLimit attribute.
    `void` | `setFilterHosts(ResourceQuotaRuleFilter aFilterHosts)` Set the filterHosts attribute.
    `void` | `setFilterPes(ResourceQuotaRuleFilter aFilterPes)` Set the filterPes attribute.
    `void` | `setFilterProjects(ResourceQuotaRuleFilter aFilterProjects)` Set the filterProjects attribute.
    `void` | `setFilterQueues(ResourceQuotaRuleFilter aFilterQueues)` Set the filterQueues attribute.
    `void` | `setFilterUsers(ResourceQuotaRuleFilter aFilterUsers)` Set the filterUsers attribute.
    `void` | `setLimit(int index, ResourceQuotaRuleLimit alimit)` Set a com.sun.grid.jgdi.configuration.ResourceQuotaRuleLimit attribute.
    `void` | `setName(java.lang.String aName)` Set the name attribute.

    - ### Methods inherited from interface com.sun.grid.jgdi.configuration.GEObject

      `equalsCompletely, getParent`

- - ### Method Detail

    - #### setName

          void setName(java.lang.String aName)

      Set the name attribute.
      Parameters:
        `aName` - the new value for the name attribute

    - #### getName

          java.lang.String getName()

      Get the value of the name attribute.
      Specified by:
        `getName` in interface `GEObject`
      Returns:
        the value of the name attribute

    - #### isSetName

          boolean isSetName()

      Determine if any name attribute is set
      Returns:
        `true` if the name attribute is set

    - #### setFilterUsers

          void setFilterUsers(ResourceQuotaRuleFilter aFilterUsers)

      Set the filterUsers attribute.
      Parameters:
        `aFilterUsers` - the new value for the filterUsers attribute

    - #### getFilterUsers

          ResourceQuotaRuleFilter getFilterUsers()

      Get the value of the filterUsers attribute.
      Returns:
        the value of the filterUsers attribute

    - #### isSetFilterUsers

          boolean isSetFilterUsers()

      Determine if any filterUsers attribute is set
      Returns:
        `true` if the filterUsers attribute is set

    - #### setFilterProjects

          void setFilterProjects(ResourceQuotaRuleFilter aFilterProjects)

      Set the filterProjects attribute.
      Parameters:
        `aFilterProjects` - the new value for the filterProjects attribute

    - #### getFilterProjects

          ResourceQuotaRuleFilter getFilterProjects()

      Get the value of the filterProjects attribute.
      Returns:
        the value of the filterProjects attribute

    - #### isSetFilterProjects

          boolean isSetFilterProjects()

      Determine if any filterProjects attribute is set
      Returns:
        `true` if the filterProjects attribute is set

    - #### setFilterPes

          void setFilterPes(ResourceQuotaRuleFilter aFilterPes)

      Set the filterPes attribute.
      Parameters:
        `aFilterPes` - the new value for the filterPes attribute

    - #### getFilterPes

          ResourceQuotaRuleFilter getFilterPes()

      Get the value of the filterPes attribute.
      Returns:
        the value of the filterPes attribute

    - #### isSetFilterPes

          boolean isSetFilterPes()

      Determine if any filterPes attribute is set
      Returns:
        `true` if the filterPes attribute is set

    - #### setFilterQueues

          void setFilterQueues(ResourceQuotaRuleFilter aFilterQueues)

      Set the filterQueues attribute.
      Parameters:
        `aFilterQueues` - the new value for the filterQueues attribute

    - #### getFilterQueues

          ResourceQuotaRuleFilter getFilterQueues()

      Get the value of the filterQueues attribute.
      Returns:
        the value of the filterQueues attribute

    - #### isSetFilterQueues

          boolean isSetFilterQueues()

      Determine if any filterQueues attribute is set
      Returns:
        `true` if the filterQueues attribute is set

    - #### setFilterHosts

          void setFilterHosts(ResourceQuotaRuleFilter aFilterHosts)

      Set the filterHosts attribute.
      Parameters:
        `aFilterHosts` - the new value for the filterHosts attribute

    - #### getFilterHosts

          ResourceQuotaRuleFilter getFilterHosts()

      Get the value of the filterHosts attribute.
      Returns:
        the value of the filterHosts attribute

    - #### isSetFilterHosts

          boolean isSetFilterHosts()

      Determine if any filterHosts attribute is set
      Returns:
        `true` if the filterHosts attribute is set

    - #### getLimitList

          java.util.List<ResourceQuotaRuleLimit> getLimitList()

      Get a unmodifiable list of all com.sun.grid.jgdi.configuration.ResourceQuotaRuleLimit attributes.
      Returns:
        Unmodifiable list with all com.sun.grid.jgdi.configuration.ResourceQuotaRuleLimit attributes

    - #### getLimitCount

          int getLimitCount()

      Get the number of com.sun.grid.jgdi.configuration.ResourceQuotaRuleLimit attributes.
      Returns:
        The number of com.sun.grid.jgdi.configuration.ResourceQuotaRuleLimit attributes.

    - #### getLimit

          ResourceQuotaRuleLimit getLimit(int index)

      Get a com.sun.grid.jgdi.configuration.ResourceQuotaRuleLimit attribute at an index.
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.ResourceQuotaRuleLimit attribute which should be removed
      Returns:
        the com.sun.grid.jgdi.configuration.ResourceQuotaRuleLimit attribute

    - #### addLimit

          void addLimit(ResourceQuotaRuleLimit alimit)

      Add a com.sun.grid.jgdi.configuration.ResourceQuotaRuleLimit attribute.
      Parameters:
        `alimit` - the new com.sun.grid.jgdi.configuration.ResourceQuotaRuleLimit attribute

    - #### setLimit

          void setLimit(int index,
                        ResourceQuotaRuleLimit alimit)

      Set a com.sun.grid.jgdi.configuration.ResourceQuotaRuleLimit attribute.
      Parameters:
        `index` - index of the com.sun.grid.jgdi.configuration.ResourceQuotaRuleLimit attribute
        `alimit` - the new com.sun.grid.jgdi.configuration.ResourceQuotaRuleLimit attribute

    - #### removeAllLimit

          void removeAllLimit()

      Remove all com.sun.grid.jgdi.configuration.ResourceQuotaRuleLimit attributes.

    - #### removeLimit

          ResourceQuotaRuleLimit removeLimit(int index)

      Remote a com.sun.grid.jgdi.configuration.ResourceQuotaRuleLimit attribute at an index.
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.ResourceQuotaRuleLimit attribute which should be removed
      Returns:
        the removed com.sun.grid.jgdi.configuration.ResourceQuotaRuleLimit attribute or `null` if no attribute at this index is stored

    - #### removeLimit

          boolean removeLimit(ResourceQuotaRuleLimit alimit)

      Remote a specific com.sun.grid.jgdi.configuration.ResourceQuotaRuleLimit attribute.
      Parameters:
        `alimit` - the com.sun.grid.jgdi.configuration.ResourceQuotaRuleLimit attribute which should be removed
      Returns:
        `true` if the com.sun.grid.jgdi.configuration.ResourceQuotaRuleLimit attribute has been removed

    - #### isSetLimit

          boolean isSetLimit()

      Determine if any limit attribute is set
      Returns:
        `true` if the limit attribute is set

    - #### getLevel

          int getLevel()

      Get the value of the level attribute.
      Returns:
        the value of the level attribute

    - #### isSetLevel

          boolean isSetLevel()

      Determine if any level attribute is set
      Returns:
        `true` if the level attribute is set

    - #### dump

          java.lang.String dump()

Copyright © 2007 Sun Microsystems, Inc. All rights reserved.